Subject: Re: [RFC net-next 3/4] openvswitch: Add conntrack action.

From: Nicolas Dichtel <[email-masked]>
Date: Sun, 15 Feb 2015 20:51:59 +0100

Le 15/02/2015 20:13, Thomas Graf a écrit :
> On 02/15/15 at 11:06am, Joe Stringer wrote:
>> On 15 February 2015 at 07:08, Nicolas Dichtel <[email-masked]> wrote:
>>> Le 15/02/2015 05:47, Joe Stringer a écrit :
>>>> Right, it was more of a general sanity check which is likely unneeded.
>>>> I'm not aware of any particular case that this handles.
>>>
>>> I agree with Thomas. If we fall into this case, it's probably a real bug ;-)
>>
>> We can BUG_ON(), then.
>
> Let's do a WARN() and just error so we keep the kernel running ;-)
Yes. I wonder if there are more generic places to do this kind of check, because
I don't think that this kind of bug will be specific to ovs.